Bug 1418673 - Failed to retrieve VMs and Templates from the OVF disk of Storage Domain data
Summary: Failed to retrieve VMs and Templates from the OVF disk of Storage Domain data
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage
Version: 4.1.0.3
Hardware: x86_64
OS: Linux
urgent
high
Target Milestone: ovirt-4.1.3
: ---
Assignee: Benny Zlotnik
QA Contact: Raz Tamir
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 13:37 UTC by Michael Burman
Modified: 2017-05-16 13:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-16 13:35:27 UTC
oVirt Team: Storage
rule-engine: ovirt-4.1+


Attachments (Terms of Use)
engine log (593.88 KB, application/x-gzip)
2017-02-02 13:37 UTC, Michael Burman
no flags Details

Description Michael Burman 2017-02-02 13:37:52 UTC
Created attachment 1247126 [details]
engine log

Description of problem:
Failed to retrieve VMs and Templates from the OVF disk of Storage Domain data.

VMs are gone after storage domain was detached and imported back to the system.
There are no VMs on the 'VM Import' subtab list. And i got the next warning:

'Failed to retrieve VMs and Templates from the OVF disk of Storage Domain data2.'

2017-02-02 14:02:26,108+02 WARN  [org.ovirt.engine.core.bll.storage.disk.image.GetUnregisteredDiskQuery] (default task-7) [4764e9b9-8cde-496e-bbe0-a72497d05795] Exception while parsing JSON for disk. Exception: '{
}': org.codehaus.jackson.JsonParseException: Unrecognized token 'None': was expecting 
 at [Source: java.io.StringReader@3bf9f654; line: 1, column: 9]
        at org.codehaus.jackson.JsonParser._constructError(JsonParser.java:1433) [jackson-core-asl.jar:1.9.13.redhat-3]



2017-02-02 14:02:26,997+02 ERROR [org.ovirt.engine.core.bll.storage.domain.AttachStorageDomainToPoolCommand] (default task-7) [2dd528ad] Image data could not be retrieved for disk id '69caa180-4807-433d-b229-c66ad5e2a1c0' in storage domain id '40b3e690-4b26-481e-be7d-4dfb303a8660'
2017-02-02 14:02:27,011+02 WARN  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (default task-7) [2dd528ad] EVENT_ID: RETRIEVE_OVF_STORE_FAILED(1,017), Correlation ID: null, Call Stack: null, Custom Event ID: -1, Message: Failed to retrieve VMs and Templates from the OVF disk of Storage Domain data2.

Version-Release number of selected component (if applicable):
4.1.0.3-0.1.el7

How reproducible:
No idea. It is the second time it happens to me. No idea how to reproduce it.

Steps to Reproduce:
1. Create few VMs with disks on a data domain
2. Detach data domain from DC and import back

Actual results:
From time to time the VMs are failed to be retrieved.

Expected results:
Should work as expected.

Comment 1 Michael Burman 2017-02-02 14:50:06 UTC
Possible that this bug is caused and triggered by this BZ  1412583. 

Even if that's correct, this must be handled properly and we can't get to a situation in which we can't import our VMs to the system.

Comment 2 Yaniv Lavi 2017-02-23 11:25:08 UTC
Moving out all non blocker\exceptions.

Comment 4 Benny Zlotnik 2017-05-16 13:35:27 UTC
Tried reproducing it in multiple ways, with varying delays and a varying number of VMs, temporarily block the SD and it didn't happen. Closing for now until new information is available.


Note You need to log in before you can comment on or make changes to this bug.